//! This example shows TRNG usage

#![no_std]
#![no_main]

use defmt::*;
use embassy_executor::Spawner;
use embassy_rp::bind_interrupts;
use embassy_rp::peripherals::TRNG;
use embassy_rp::trng::Trng;
use rand::RngCore;
use {defmt_rtt as _, panic_probe as _};

bind_interrupts!(struct Irqs {
    TRNG_IRQ => embassy_rp::trng::InterruptHandler<TRNG>;
});

#[embassy_executor::main]
async fn main(_spawner: Spawner) {
    let peripherals = embassy_rp::init(Default::default());

    // Initialize the TRNG with default configuration
    let mut trng = Trng::new(peripherals.TRNG, Irqs, embassy_rp::trng::Config::default());
    // A buffer to collect random bytes in.
    let mut randomness = [0u8; 58];


    loop {
        println!("Hello, world!");
    }
}
